---
title: "Get Views"
slug: "get-views"
updated: 2025-06-30T12:22:07Z
published: 2025-06-30T12:22:07Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Views

Get/api/1.0/paa-groups/{envId}/{paaGroupId}/views

This API is designed to retrieve a PAA Group's Views.

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://API.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`
  

 

## Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

 
 

## Important note about headers

 

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

 

### Headers

 *Required
 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H "Accept:application/json"` |

   

 
 

### cURL Sample Guidelines

 

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstring (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

paaGroupIdstringRequired

The PAA Group Id

Responses200

Views Retrieved

Headersx-request-idstring
<select class='api-response-data' aria-label='Media type'><option value='59d5fe74-9d8b-4261-a1f9-be14c3b174e6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2c802bc7-8668-4afd-abe9-b843401ebf76'>Views Retrieved Successfully</option>
</select>Views Retrieved Successfully

```json
{
  "data": [
    {
      "type": "DDL",
      "text": "CREATE view \"post_accounts\" OPTIONS (UPDATABLE 'false') as select * from postmodel.accounts;"
    },
    {
      "type": "DDL",
      "paaId": "PAA3QK1UON1BOXS",
      "text": ""
    }
  ],
  "meta": {
    "total": 2,
    "limit": 2,
    "offset": 0
  }
}
```

Expand Allobject  data Array of object   object  typestring    
paaIdstring    
textstring    

metaobject  

Response Meta

totalinteger    

Total number of records

limitinteger    

Limit the number of records returned

offsetinteger    

The starting point for return of records

400

Bad Request

Headersx-request-idstring

401

Unauthorized

Headersx-request-idstring

500

Internal Server Error

Headersx-request-idstringThe ID of the request
